@font-face {
  font-family: dorood;
  font-style: normal;
  font-weight: normal;
  src: url('/fonts/dorood/dorood-v2.ttf') format('truetype');
}

@font-face {
  font-family: calibri;
  font-style: normal;
  font-weight: normal;
  src: url('/fonts/calibri/calibri.ttf') format('truetype');
}

@font-face {
  font-family: calibri;
  font-style: bold;
  font-weight: bold;
  src: url('/fonts/calibri/calibrib.ttf') format('truetype');
}

.dorood {
  font-size: 60%;
  position: relative;
  bottom: .5em;
}

.dorood {
  font-family: dorood;
  font-size: 170%;
  font-weight: normal;
  line-height: 0px;
  position: relative;
  bottom: -0.07em;
}

.dorood._s::before {
  content: 'e';
}

.dorood._a::before {
  content: 'G';
}

.dorood._a1::before {
  content: '\f045';
}

.dorood._a2::before {
  content: '\f046';
}

.dorood._a3::before {
  content: '\f044';
}

.dorood._aj::before {
  content: '\f051';
}

.doroodEn {
  font-family: doroodEn;
  font-size: 130%;
  font-weight: normal;
  line-height: 0px;
  position: relative;
  bottom: -0.07em;
}

.doroodEn._s::before {
  content: '\f05C';
}

.doroodEn._a::before {
  content: '\f044';
}

.doroodEn._a1::before {
  content: '\f045';
}

.doroodEn._a3::before {
  content: '\f03d';
}

:root {
  --color1: #d2973b;
  --color1_light: hsl(42deg 48% 76%);
  --color1_dark: #664715;
  --color2: #776f6c;
  --color3: #f9f6ea;
  --color4: #e5b555;
  --darkGray: #1d1d1d;
  --lightGray: #eee;
  --black: #444;
  --swiper-navigation-size: 15px;
  scroll-behavior: smooth;
}

@media screen and (max-width: 900px) {
  .notInMobile {
    display: none !important;
  }
}

@media screen and (min-width: 901px) {
  .notInDesktop {
    display: none !important;
  }
}

* {
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  margin: 0;
  font-size: 1rem;
  background-color: white;
  display: flex;
  flex-direction: column;
  width: 100%;
  line-height: 200%;
  font-family: IRANSans;
  --bodyFont: IRANSans;
}

body[dir=ltr] {
  font-family: IRANSansEn;
  --bodyFont: IRANSansEn;
}

body._ar {
  font-family: BahijSans;
  --bodyFont: BahijSans;
}

body._ur {
  font-family: Jameel;
  --bodyFont: Jameel;
  line-height: 300%;
  word-spacing: .3em;
}

body .col1Start {
  grid-column-start: 1;
}

.colToEnd {
  grid-column: auto / -1;
}

.colTotal {
  grid-column: 1 / -1;
}

.myFlex {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}

main {
  flex-grow: 2;
}

h1,
h2,
h3 {
  color: var(--color1);
}

h1 {
  font-size: 180%
}

h2 {
  margin-block-start: 1.5em;
  margin-block-end: 0.3em;
}

p {
  text-align: justify;
  margin: 0;
}

textarea,
select,
input,
button {
  font-family: var(--bodyFont);
  border: 2px solid var(--lightGray);
  border-radius: 5px;
  padding: 0 4px;
  outline: none;
}

input:invalid:not(:placeholder-shown) {
  border: 1px solid red;
}

select:invalid:not(:placeholder-shown) {
  border: 1px solid red;
}

a {
  text-decoration: none;
  color: var(--color1);
}

a:visited {
  color: var(--color1);
}

button {
  cursor: pointer;
  padding: 10px 15px;
  margin: 10px;
}

.firstColumn {
  grid-column-start: 1;
}

.secondColumn {
  grid-column-start: 2;
}

.ltrSpan {
  direction: ltr;
  unicode-bidi: bidi-override;
}

.image-align-left {
  float: left;
  margin-right: 15px;
}

.image-align-right {
  float: right;
  margin-left: 15px;
}

.rtlSpan {
  direction: rtl;
  unicode-bidi: bidi-override;
}

.arabic,
.arabicHadith {
  font-family: calibri;
  font-size: 120%;
  direction: rtl;
}

.arabicHadith {
  font-weight: bold;
}

header {
  margin-bottom: 25px;
  background: white;
  position: sticky;
  top: -1px;
  z-index: 20;
}

#header {
  margin: 15px auto 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  flex-wrap: wrap;
}

#header a {
  line-height: 0;
}

#headerLogoTitle {
  max-height: 60px;
  max-width: 70vw;
  transition: all 1s;
  cursor: pointer;
}

#headerSide {

  align-self: flex-start;
}

#desktopLang {
  display: flex;
  align-self: flex-start;
}

#desktopLang a {
  display: block;
  padding: 0px 5px;
  font-size: 80%;
  line-height: 100%;
  border-color: var(--color1);
}

#desktopLang a:not(:first-child) {
  border-inline-start: 1px solid;
}

#headerMotto {
  justify-self: end;
  color: var(--color1);
  position: relative;
  flex-basis: 100%;
}

#headerMotto img {
  height: 130px;
  transition: all 1s;
  position: absolute;
  left: 0px;
  top: -50px;
}

[dir=ltr] #headerMotto img {
  left: unset;
  right: 0px;
}

#navSection {
  background-color: var(--color1);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.stuck {
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
}

.stuck #header {
  margin: 5px auto 5px;
}

.stuck #headerLogoTitle {
  max-height: 40px;
}

.stuck #headerMotto img {
  height: 70px;
  top: 0px;
}



footer {
  color: white;
  margin-top: 40px;
  font-size: 80%;
}

#footerUpper {
  background: var(--color1);
  padding: 15px;
}

footer #donation {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 1150px) and (min-width: 901px) {
  footer #donation>p:nth-child(4) {
    display: none;
  }
}

footer .motto {
  vertical-align: middle;
  margin-inline-end: 5px;
}

#footer {
  background: var(--darkGray);
}

footer a {
  color: white;
}

#footerLogo {
  width: 300px;
  display: block;
  margin: 15px auto;
}

footer #address {
  direction: ltr;
  text-align: center;
  padding: 15px;
  line-height: 150%;
  color: white;
}

footer .motto {
  height: 80px;
}

#socials img {
  height: 30px;
  margin: 5px;
}

footer #socials img {
  filter: invert();

}

#socials img:first-child {
  margin-left: 0px;
}

nav {
  white-space: nowrap;
  font-size: 1rem;
}

nav {
  justify-self: center;
  /* margin:10px auto; */
  display: flex;
  align-items: center;
  justify-items: center;
  white-space: normal;
  flex-wrap: wrap;
}

nav a {
  color: white !important;
  text-align: center;
  line-height: 1.5rem;
  display: inline-block;
  padding: 0.9rem;
  font-size: .8rem;
  transition: all .5s;
}

nav a:hover {
  color: var(--color1) !important;
  background-color: var(--color3);
}

.bannerContainer {
  width: 100vw;
  overflow: hidden;
  display: grid;
  justify-content: center;
}

#home_banner.swiper {
  width: 100%;
}

#home_banner_prev,
#home_banner_next {
  z-index: 5;
}

#home_banner .swiper-slide {
  /* height: 0px; */
  /* padding-top: 41%; */
  position: relative;
  min-height: 10px;
  box-sizing: border-box;
}

#home_banner .swiper-slide .bannerContainer {
  /* position: absolute; */
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100%;
  object-fit: fill;
  background-image: url(/images/general/loader1.gif);
  background-position: center;
  background-repeat: no-repeat;
}

.bannerContainer img {
  width: 2560px;
  height: 380px;
}

#home_banner .swiper-slide img.foreground {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  object-fit: fill;
}

#home_banner .swiper-button-next,
#home_banner .swiper-button-prev {
  opacity: 0;
  -webkit-transition: opacity 1s;
  transition: opacity 1s;
}

#home_banner:hover .swiper-button-next,
#home_banner:hover .swiper-button-prev {
  opacity: 1;
}

#home_banner_pagination {
  margin: 8px auto 0;
  position: relative;
}

#home_banner_pagination span {
  margin: 4px;
}

#home_banner_pagination .swiper-pagination-bullet {
  width: 12px;
  height: 12px;
}

.swiper-pagination-bullet-active {
  opacity: 1;
  background: var(--color1);
}

.swiper-button-next:after,
.swiper-button-prev:after {
  padding: 15px;
  background-color: var(--color1);
  color: white;
}

.swiper-button-next:hover:after,
.swiper-button-prev:hover:after {
  background-color: #777;

}

.swiper-pagination-bullet {
  border-radius: 15%;
}

.homeSection {
  /* box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
    background-color: white;
    padding:15px;*/
  border-radius: 5px;
  margin-block-end: 30px;
  position: relative;
}

.homeSection h2 {
  margin-top: 0;
  margin-bottom: .5em;
  line-height: 2.7rem;
}

.anchor {
  position: relative;
  top: -250px;
}

.homeSection.clipSection,
#commentsSection {
  background-color: var(--lightGray);
  padding: 15px;
}

.homeSection.clipSection {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
}

.clipSection #video {
  grid-area: 1 / 2 / 3 / 3;
}

.clipSection #video iframe {
  border: inset !important;
}

#addComment form>* {
  display: block;
  font-family: var(--bodyFont);
  margin: 5px 0;
}

#addComment input {
  width: 250px;
  padding: .5%;
  margin-top: 5px;
}

#addComment textarea {
  width: 100%;
  height: 70px;
}

#addComment button {
  width: 120px;
  background-color: var(--darkGray);
  color: white;
  border: none;
  cursor: pointer;
  padding: .5%;
  white-space: nowrap;
  margin-right: auto;
}

#addComment button:hover {
  background-color: var(--color1);
  border-radius: 15px;
}

#commentsContainer {
  max-height: 40vh;
  overflow-y: scroll;
  display: grid;
  grid-template-columns: 15% auto;
  padding-left: 10px;
  gap: 5px;
}

#commentsContainer>div {
  border-top: 1px solid #bbb;
}

#commentsContainer .commenter:first-of-type,
#commentsContainer .comment:nth-of-type(2) {
  border: none;
}

#commentsContainer h2 {
  grid-column: 1 / 3;
}

.commenter {
  padding-left: 8vw;
  color: #333;
}

.commenter,
.comment {
  font-size: 80%;
  padding: 10px 0px;
}

.comment {
  color: #999;
}

.commentDate {
  color: #bbb
}

.cmtAnswerDate,
.cmtAnswer {
  margin: 0 20px 0 0;
  border-right: 1px solid #ddd;
  padding-right: 10px;
}

.cmtAnswerDate {
  margin-top: 10px;
  color: #333;
}

.hadithRef {
  text-align: left;
  font-style: italic;
  font-size: 80%;
}


.h_iframe-aparat_embed_frame {
  position: relative;
}

.h_iframe-aparat_embed_frame .ratio {
  display: block;
  width: 98%;
  height: auto;
}

.h_iframe-aparat_embed_frame iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 98%;
  height: 98%;
}

#clipIntro #socials {
  width: 100%;
  text-align: center;
  direction: ltr;
}

a.button {
  background-color: lightgray;
  border-radius: 5px;
  padding: 5px 15px;
  color: black;
}

a.button:hover {
  background-color: var(--color1);
  color: white;
}